Bug 772994 - Review Request: globus-simple-ca - Globus Toolkit - Simple CA Utility
Summary: Review Request: globus-simple-ca - Globus Toolkit - Simple CA Utility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-10 15:51 UTC by Mattias Ellert
Modified: 2012-03-10 17:32 UTC (History)
5 users (show)

Fixed In Version: globus-simple-ca-3.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-01 01:01:57 UTC
Type: ---
steve.traylen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2012-01-10 15:51:10 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-simple-ca.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-simple-ca-3.0-1.fc16.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-simple-ca package contains:
Simple CA Utility

Comment 2 Massimo Paladin 2012-02-14 09:00:27 UTC
Hi Mattias,

I am not a package maintainer and I need to do some informal reviews.

I looked at the package and it looks fine to me.

* name, license and other ReviewGuidelines points looks good
* rpmlint is silent for spec, srpm and rpm
* it builds in mock
* it installs and run fine

I hope I haven't missed anything.

Comment 3 Steve Traylen 2012-02-19 11:09:07 UTC
$ cat globus-simple-ca-review.txt 

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
ASL2.0
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
.el5 is intended.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
.e5 running.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f package.filelist section. This
     is OK if packaging for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint globus-simple-ca-3.0-2.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint globus-simple-ca-3.0-2.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/steve/reviews/772994/globus_simple_ca-3.0.tar.gz :
  MD5SUM this package     : 30af2a6c5301be4882ef93edf62b641a
  MD5SUM upstream package : 30af2a6c5301be4882ef93edf62b641a

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Package functions as described.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
None.

Generated by fedora-review 0.1.2
External plugins:

Comment 4 Mattias Ellert 2012-02-24 08:15:09 UTC
Thank you for the review.

New Package SCM Request
=======================
Package Name: globus-simple-ca
Short Description: Globus Toolkit - Simple CA Utility
Owners: ellert
Branches: f15 f16 f17 el4 el5 el6
InitialCC:

Comment 5 Gwyn Ciesla 2012-02-24 13:04:36 UTC
Git done (by process-git-requests).

Keep in mind that EL-4 is EOL in a matter of days.

Comment 6 Fedora Update System 2012-02-24 14:47:20 UTC
globus-simple-ca-3.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/globus-simple-ca-3.0-2.fc15

Comment 7 Fedora Update System 2012-02-24 14:47:30 UTC
globus-simple-ca-3.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/globus-simple-ca-3.0-2.el5

Comment 8 Fedora Update System 2012-02-24 14:47:39 UTC
globus-simple-ca-3.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/globus-simple-ca-3.0-2.fc16

Comment 9 Fedora Update System 2012-02-24 14:47:47 UTC
globus-simple-ca-3.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/globus-simple-ca-3.0-2.el6

Comment 10 Fedora Update System 2012-02-24 14:47:56 UTC
globus-simple-ca-3.0-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/globus-simple-ca-3.0-2.el4

Comment 11 Fedora Update System 2012-02-24 14:48:05 UTC
globus-simple-ca-3.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/globus-simple-ca-3.0-2.fc17

Comment 12 Fedora Update System 2012-02-24 22:33:02 UTC
globus-simple-ca-3.0-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 13 Fedora Update System 2012-03-01 01:01:57 UTC
globus-simple-ca-3.0-2.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 14 Fedora Update System 2012-03-06 19:26:10 UTC
globus-simple-ca-3.0-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2012-03-06 19:38:08 UTC
globus-simple-ca-3.0-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 16 Fedora Update System 2012-03-06 20:46:19 UTC
globus-simple-ca-3.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 17 Fedora Update System 2012-03-10 17:32:27 UTC
globus-simple-ca-3.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 18 Fedora Update System 2012-03-10 17:32:45 UTC
globus-simple-ca-3.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.